Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.reader
Class SharedReaderProvider

    java.lang.Object
      org.hibernate.search.reader.SharedReaderProvider

All Implemented Interfaces:
  ReaderProvider

Deprecated. replaced by SharingBufferReaderProvider

    @Deprecated
    public class SharedReaderProvider

extends java.lang.Object
implements ReaderProvider

Share readers per `SearchFactory`, reusing them if they are still valid. This class contains several bugs including HSEARCH-211. Since it is deprecated we are not going to fix them right now.

Author:
  Emmanuel Bernard

Constructor Summary
`SharedReaderProvider()` Deprecated.

Method Summary
`void` | `closeReader(org.apache.lucene.index.IndexReader reader)` Deprecated. Close a reader previously opened by `ReaderProvider.openReader(org.hibernate.search.store.DirectoryProvider...)`.
`void` | `destroy()` Deprecated. Called when a `SearchFactory` is destroyed.
`void` | `initialize(java.util.Properties props, SearchFactoryImplementor searchFactoryImplementor)` Deprecated. Inialize the reader provider before its use.
`org.apache.lucene.index.IndexReader` | `openReader(DirectoryProvider... directoryProviders)` Deprecated. Open a read-only reader on all the listed directory providers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedReaderProvider

    public SharedReaderProvider()

  Deprecated.

Method Detail

### openReader

    public org.apache.lucene.index.IndexReader openReader(DirectoryProvider... directoryProviders)

  Deprecated.
  Description copied from interface: `ReaderProvider`
  Open a read-only reader on all the listed directory providers. The opened reader has to be closed through `ReaderProvider.closeReader(IndexReader)`. The opening can be virtual.

  Specified by:
    `openReader` in interface `ReaderProvider`

### closeReader

    public void closeReader(org.apache.lucene.index.IndexReader reader)

  Deprecated.
  Description copied from interface: `ReaderProvider`
  Close a reader previously opened by `ReaderProvider.openReader(org.hibernate.search.store.DirectoryProvider...)`. The closing can be virtual.

  Specified by:
    `closeReader` in interface `ReaderProvider`

### initialize

    public void initialize(java.util.Properties props,
                           SearchFactoryImplementor searchFactoryImplementor)

  Deprecated.
  Description copied from interface: `ReaderProvider`
  Inialize the reader provider before its use.

  Specified by:
    `initialize` in interface `ReaderProvider`

### destroy

    public void destroy()

  Deprecated.
  Description copied from interface: `ReaderProvider`
  Called when a `SearchFactory` is destroyed. This method typically releases resources. It is guaranteed to be executed after readers are released by queries (assuming no user error).

  Specified by:
    `destroy` in interface `ReaderProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.